Memos

Create Attachment

CreateAttachment creates a new attachment.

POST
/api/v1/attachments

Query Parameters

attachmentId?string

Optional. The attachment ID to use for this attachment. If empty, a unique ID will be generated. Format: ^a-zA-Z0-9?$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/attachments" \  -H "Content-Type: application/json" \  -d '{    "filename": "string",    "type": "string"  }'
{  "name": "string",  "createTime": "2019-08-24T14:15:22Z",  "filename": "string",  "content": "string",  "externalLink": "string",  "type": "string",  "size": "string",  "memo": "string",  "motionMedia": {    "family": "MOTION_MEDIA_FAMILY_UNSPECIFIED",    "role": "MOTION_MEDIA_ROLE_UNSPECIFIED",    "groupId": "string",    "presentationTimestampUs": "string",    "hasEmbeddedVideo": true  },  "mediaMetadata": {    "width": 0,    "height": 0,    "photo": {      "captureTime": {        "localDateTime": "string",        "utcOffset": "string"      },      "location": {        "latitude": 0.1,        "longitude": 0.1,        "altitudeMeters": 0.1      },      "sourceExifOrientation": 0,      "cameraMake": "string",      "cameraModel": "string",      "lensModel": "string",      "fNumber": 0.1,      "exposureTimeSeconds": 0.1,      "iso": 0,      "focalLengthMm": 0.1    },    "video": {      "durationSeconds": 0.1    }  }}